Bug 94353

Summary: [Chromium] Turn on ENABLE_OVERFLOW_SCROLLING
Product: WebKit Reporter: Sami Kyöstilä <skyostil>
Component: PlatformAssignee: Sami Kyöstilä <skyostil>
Status: RESOLVED WONTFIX    
Severity: Normal CC: dominicc, dpranke
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 91117    
Bug Blocks:    

Description Sami Kyöstilä 2012-08-17 09:43:33 PDT
ENABLE_OVERFLOW_SCROLLING is currently disabled in features.gypi (except for Android). We should turn it on by default if possible.
Comment 1 Dominic Cooney 2012-08-27 01:11:26 PDT
I rebaselined some tests with expectations pointing to this bug in r126734, I would appreciate it if you could sanity check me on the rebaselines.
Comment 2 Sami Kyöstilä 2012-08-29 07:46:01 PDT
This is a bit weird since the original baselines had the expected result when OVERFLOW_SCROLLING is on, but the new ones are generated with OVERFLOW_SCROLLING disabled. The former were meant as a golden sample against which composited scrolling could be verified.

I guess having baselines from non-standard build configurations isn't really sustainable, so let's keep the new ones for now and revisit once we can flip the switch for OVERFLOW_SCROLLING.
Comment 3 Dirk Pranke 2012-09-18 17:33:45 PDT
Looks like compositing/overflow/overflow-auto-with-touch-toggle.html is no longer failing either, for some reason.
Comment 4 Dirk Pranke 2012-09-18 17:35:38 PDT
http://trac.webkit.org/changeset/128951
Comment 5 Stephen Chenney 2013-04-09 17:06:54 PDT
Marked LayoutTest bugs, bugs with Chromium IDs, and some others as WontFix. Test failure bugs still are trackable via TestExpectations or disabled unit tests.